edu.sc.seis.sod.source

## Class AbstractSource

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource

- All Implemented Interfaces:
    Source
  Direct Known Subclasses:
    AbstractCSVSource, AbstractEventSource, AbstractNetworkSource, ConstantSeismogramSourceLocator, EventFinder, FixedDataCenter, PeriodicFakeEventSource, PlottableRequest, SimpleEventSource

      public abstract class AbstractSource
      extends java.lang.Object
      implements Source

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `name`
    `static java.lang.String` | `NAME_ELEMENT`
    `static java.lang.String` | `RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSource(org.w3c.dom.Element config, java.lang.String defaultName)`
    `AbstractSource(org.w3c.dom.Element config, java.lang.String defaultName, int defaultRetries)`
    `AbstractSource(java.lang.String name)`
    `AbstractSource(java.lang.String name, int retries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendToName(java.lang.String suffix)` Allows name to be appended to in case of conflicts with other sources.
    `edu.sc.seis.fissuresUtil.namingService.FissuresNamingService` | `getFissuresNamingService()`
    `java.lang.String` | `getName()` returns the name of the server.
    `int` | `getRetries()`
    `edu.sc.seis.fissuresUtil.cache.RetryStrategy` | `getRetryStrategy()`
    `void` | `setRetryStrategy(edu.sc.seis.fissuresUtil.cache.RetryStrategy retryStrategy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

    - #### NAME_ELEMENT

          public static final java.lang.String NAME_ELEMENT

      See Also:
        Constant Field Values

    - #### RETRIES_ELEMENT

          public static final java.lang.String RETRIES_ELEMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractSource

          public AbstractSource(java.lang.String name)

    - #### AbstractSource

          public AbstractSource(java.lang.String name,
                                int retries)

    - #### AbstractSource

          public AbstractSource(org.w3c.dom.Element config,
                                java.lang.String defaultName)

    - #### AbstractSource

          public AbstractSource(org.w3c.dom.Element config,
                                java.lang.String defaultName,
                                int defaultRetries)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Source`
      returns the name of the server. The name to which the server's servant instance is bound in the CORBA naming service. For non-corba servers, this string can be anything that seems reasonable and is relatively unique
      Specified by:
        `getName` in interface `Source`
      Returns:
        a `String` value

    - #### getRetries

          public int getRetries()

      Specified by:
        `getRetries` in interface `Source`

    - #### getFissuresNamingService

          public edu.sc.seis.fissuresUtil.namingService.FissuresNamingService getFissuresNamingService()

    - #### getRetryStrategy

          public edu.sc.seis.fissuresUtil.cache.RetryStrategy getRetryStrategy()

    - #### setRetryStrategy

          public void setRetryStrategy(edu.sc.seis.fissuresUtil.cache.RetryStrategy retryStrategy)

    - #### appendToName

          public void appendToName(java.lang.String suffix)

      Description copied from interface: `Source`
      Allows name to be appended to in case of conflicts with other sources.
      Specified by:
        `appendToName` in interface `Source`